<?php
$ini_file = dirname(__FILE__).'/scheduleposts.ini';

$objIni = new iniFile($ini_file);
$objIni->read($ini_file);

$err = '';

$url = 'tools.php?p=scheduleposts';
$is_writable = false;


if (!is_writable($ini_file)) {
	$err = '<p>'.sprintf(__('Config file %s, is not writable.'),'<strong>./scheduleposts.ini</strong>').'</p>';
} else {
	$is_writable = true;
	
	# Modification du fichier
	if (!empty($_POST))
	{
		$p_plugin_active = trim($_POST['p_plugin_active']);
		$p_plugin_debug = trim($_POST['p_plugin_debug']);
		
		{
			$objIni = new iniFile($ini_file);
			$objIni->editVar('sp_plugin_active',(integer) $p_plugin_active);
			$objIni->editVar('sp_plugin_debug', ($p_plugin_debug == 'debug') ? '1' : '0');
			
			if ($objIni->saveFile() !== false) {
				if (defined('DC_UPDATE_FILE_W') && DC_UPDATE_FILE_W) {
					files::touch(DC_UPDATE_FILE,time());
				}
				header('Location: '.$url.'&done=1');
				exit;
			} else {
				$err = __('An error occured while writing the file.');
			}
		}
	}
}


/* Affichage
-------------------------------------------------------- */
buffer::str('<h2>'.__('Schedule posts').'</h2>');

if($err != '')
{
	buffer::str('<div class="erreur"><p><strong>'.__('Error(s)').' :</strong></p>'.$err.'</div>');
}

if ($is_writable)
{
	
	if (!empty($_GET['done'])) {
		buffer::str(
		'<p class="message">'.__('Configuration file successfully updated.').'</p>'
		);
	}
	
	buffer::str(
	'<form action="'.$url.'" method="post">'.
	
	'<fieldset class="clear">'.
	'<legend>'.__('Base configuration').'</legend>'.
	'<p class="field"><label for="p_plugin_active"><strong>'.
	__('Activate plugin').'&nbsp;:</strong> '.
	/*helpLink('index&amp;plugin=scheduleposts','plugin_active').*/'</label>'.
	form::combo('p_plugin_active',array(__('yes')=>1,__('no')=>0),(integer) sp_plugin_active).
	'</p>'.
	'<p class="field"><label for="p_plugin_debug"><strong>'.
	__('Debug mode').'&nbsp;:</strong></label>'.
	form::checkbox('p_plugin_debug', 'debug', (sp_plugin_debug == '1') ? 1 : '').
	'</p>'.
	'</fieldset>'.

	'<p class="field"><input class="submit" type="submit" value="'.__('save').'" /></p>'.
	'</form>'
	);

}

buffer::str('<h3>' . 
__('Installation') . '</h3><h4>'. __('With DotClear 1.2 (<strong>not</strong> the 1.2RC versions)') . '</h4><p>'.
__("The plugin will be automatically called, thanks to DotClear's post connection mechanism. There's nothing to be done.") . '</p><h4>'.
__('With DotClear versions prior to 1.2 (<strong>including</strong> the 1.2RC versions)') .
'</h4><p><ul><li>' . __('Add a call to the function') . ' <samp>dcSchedulePosts::putOnline()</samp> ' . __('somewhere in your template file.') . '</li></ul></p>' .
'<h4>' . __('Optional steps') . '</h4><p>' . __("The installation we've done so far will put posts online only when a visitor goes to the web page of your blog. This can be not enough if your readership uses mainly newsreaders. You can take aditionnal steps to prevent this problem.") .
'<p><ul><li>' . __('Add the following two lines:') . "<pre>require dirname(__FILE__).'/" . DC_ECRIRE . "/tools/scheduleposts/functions.php';\ndcSchedulePosts::putOnline();</pre>" . __('after the line:') . '<pre>$blog->rs_blogcomment = \'xblogcomment\';</pre>' . sprintf(__('in your Atom and RSS feeds (files %s and %s in the root directory of your blog).'), '<samp>atom.php</samp>', '<samp>rss.php</samp>').
'</li></ul><h3>' . __('Usage') . '</h3><p><ol><li>' .
 __('Write your posts, put them offline, save them.') . '</li><li>' . __('For each post, select "More options" and change its date to be its publication date.') .
'</li><li>' . __('Get back to this plugin, and activate it.') . '</li></ol>' . __('When someone visits your page, all posts prior to the current date and time will be put online.') . '</p>');

buffer::str('<h3>' . __('Known bugs') . '</h3><p>' . 
__("The post won't appear on the main page the first time after it was put online. This is due to the fact that DotClear constructs its list of posts before its calling the template file.") . '</p>' .
'<p>' . __("This bug has been corrected with DotClear's post connection mechanism in DotClear 1.2. If this bug bothers you, upgrade your DotClear."));

buffer::str('<h3>' . __("It doesn't work!") . '</h3><p>' .
sprintf(__("If you get the feeling that this plugin doesn't work, you can activate the debug mode. This will create a file called %s in your %s directory and it will contain some info regarding what could have gone wrong. You can then contact me (Julien) and provide me this file, it will help when trying to solve your problem."), '<samp>sp_debug</samp>', '<samp>share</samp>') . '</p><p>' .
sprintf(__("Do not forget to deactivate the debug mode and delete the %s file when done."), '<samp>sp_debug</samp>') . '</p>');

buffer::str('<div class="copyright"><h3>' . __('Copyright information') . '</h3><p>' . __('The icon used for this plugin is © 2004 by') . ' <a href="http://www.miloszwl.com/">Miloszwl</a>. ' . 
  __('All the code is © 2004 by') . ' <a href="http://www.mudry.org/">Julien Mudry</a> ' . __('and distributed under the terms of the GPL license.') . '</p></div>');
?>
